Skip to content
GET/api/{version}/metadata/vobjects/{object_name}/fields/{object_field_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value (product__v, country__v, custom_object__c, etc.).
{object_field_name}The object field name value (id, name__v, external_id__v, etc.).
NameDescription
locTo retrieve localized (translated) strings, include the parameter loc=true. See the next request below for details.

The response includes all metadata configured on the specific Vault Object field.

curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v18.3/metadata/vobjects/product__v/fields/name__v
{ "responseStatus": "SUCCESS", "field": { "help_content": null, "editable": true, "lookup_relationship_name": null, "start_number": null, "label": "Product Name", "source": "standard", "type": "String", "modified_date": "2015-07-30T20:55:16.000Z", "created_by": 1, "required": true, "system_managed_name": false, "value_format": null, "unique": true, "name": "name__v", "list_column": true, "modified_by": 1, "created_date": "2015-07-30T20:55:16.000Z", "lookup_source_field": null, "status": [ "active__v" ], "max_length": 128, "order": 1 } }